# -*- coding: utf-8 -*-
"""
Le premier_module contient les fonctions a completer :
    obtenir_paquet_32_cartes(couleurs, valeurs)
    melange(jeu)
    formate(liste_chaines)

"""

import random



def obtenir_paquet_32_cartes(couleurs, valeurs):
    """
    Cree une liste de 32 noms de cartes a partir de deux listes:
    la liste des couleurs representees par l'initiale de l'appelation anglaise
    's' spade (pique) 'h' heart (coeur) 'd' diamond (carreau) 'c' club (trefle)
    + la liste des valeurs representees par l'initiale de l'appelation anglaise
    '7' '8' '9' '10' 'j' jack (valet) 'q' queen (dame)'k' king (roi) '1'(as).

    Parameters
    ----------
    COULEURS : TYPE liste de chaines de caracteres.
        C'est la liste ['s', 'h', 'd', 'c']

    VALEURS : TYPE liste de chaines de caracteres.
       C'est la liste ['7', '8', '9', '10', 'j', 'q', 'k', '1']

    Returns
    -------
    liste : TYPE liste de chaines de caracteres.
        C'est la liste des 32 noms de cartes en placant en premier la couleur
        et en deuxieme la valeur.
        C'est la liste ['s7', 's8', 's9', 's10', 'sj', 'sq', 'sk', 's1', 'h7',\
         'h8', 'h9', 'h10', 'hj', 'hq', 'hk', 'h1', 'd7', 'd8', 'd9', 'd10',\
         'dj', 'dq', 'dk', 'd1', 'c7', 'c8', 'c9', 'c10', 'cj', 'cq', 'ck',\
         'c1']

    """

    pass


def melange(jeu):
    """
    Melange la liste de cartes recue en parametre (la liste jeu) et renvoie
    cette liste melangee.

    Parameters
    ----------
    jeu : TYPE liste de chaines de caracteres.
        C'est la liste de cartes dans l'ordre renvoyee par la fonction
        obtenir_paquet_32_cartes(COULEURS, VALEURS).
        Par exemple : ['s7', 's8', 's9', 's10', 'sj', 'sq', 'sk', 's1', 'h7',\
         'h8', 'h9', 'h10', 'hj', 'hq', 'hk', 'h1', 'd7', 'd8', 'd9', 'd10',\
         'dj', 'dq', 'dk', 'd1', 'c7', 'c8', 'c9', 'c10', 'cj', 'cq', 'ck',\
         'c1']

    Returns
    -------
    liste : TYPE liste de chaines de caracteres.
        C'est la liste composee des memes elements que la liste jeu, mais dans
        un ordre quelconque. Par exemple :
        ['h8', 'ck', 'hk', 'c8', 'c7', 'd10', 'hj', 's7', 'sj', 'h9', 'c9',\
         'c1', 's10', 'd1', 's9', 's1', 'dq', 'h10', 'sq', 'h1', 'd7', 'cq',\
         'cj', 's8', 'd9', 'h7', 'dk', 'c10', 'dj', 'hq', 'd8', 'sk']

    """

    pass



def formate(liste_chaines):
    """
    Fonction qui formate la liste lisete_chaines de 32 cartes en la matrice
    de jeu (5 lignes et 8 colonnes) :

    - les 4 premieres lignes commencent par 'vide' et terminent par 7 chaines
      de caracteres representant les cartes. (le vide au debut correspond a la
                                              place de la carte '7').
    - la derniere ligne est de la forme :
        ['vide', 'vide', 'carte', 'carte', 'carte', 'carte', 'vide', 'vide']
        (les 4 cartes sont celles de la pioche et sont entourees de places
         vides).


    Parameters
    ----------
    liste_chaines : TYPE liste de chaines de caracteres.
    C'est la liste des 32 cartes melangees.
        Par exemple
        ['cq', 's7', 'h10', 'd1', 'sk', 'h9', 'cj', 'd10', 'h7', 'd8', 'dk',\
         'hj', 'c10', 'c1', 'hk', 'dj', 'hq', 'c7', 'ck', 'c8', 's1', 'dq',\
         's8', 'h8', 'c9', 's9', 'd7', 'd9', 'sq', 'sj', 'h1', 's10']

    Returns
    -------
    matrice_chaines : TYPE liste de listes de noms de variables
        C'est une liste de 5 listes de 7 noms de variables. Le debut correspond
        aux noms de variables qui sont dans liste de variables.
        la fin est remplie de [..., vide, vide, vide] qui est designe
        l'objet image vide (image verte).

        Par exemple
        [['vide', 'cq', 's7', 'h10', 'd1', 'sk', 'h9', 'cj']
         ['vide', 'd10', 'h7', 'd8', 'dk', 'hj', 'c10', 'c1']
         ['vide', 'hk', 'dj', 'hq', 'c7', 'ck', 'c8', 's1']
         ['vide', 'dq', 's8', 'h8', 'c9', 's9', 'd7', 'd9']
         ['vide', 'vide', 'sq', 'sj', 'h1', 's10', 'vide', 'vide']]

    """

    pass
